package com.prolog.cs.biz.outbound.model.entity;

import com.prolog.framework.bz.core.model.BaseModel;
import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description
 * @Date 2021-06-01
 */

@ApiModel
public class InnerCheckDDO extends BaseModel implements Serializable {
    private static final long serialVersionUID = 1734215008834457465L;
 
    /** id **/
    @ApiModelProperty(value = "id")
    private String id;

    /**
     * 内复核头表id
     **/
    @ApiModelProperty(value = "内复核头表id")
    private String innerCheckHId;

    @ApiModelProperty(value = "订单明细id")
    private String billDId;

    /**
     * 容器编码
     **/
    @ApiModelProperty(value = "容器编码")
    private String containerCode;
    /**
     * 商品id
     **/
    @ApiModelProperty(value = "商品id")
    private String itemId;
    /**
     * 商品名称
     **/
    @ApiModelProperty(value = "商品名称")
    private String itemName;
    /**
     * 商品编码
     **/
    @ApiModelProperty(value = "商品编码")
    private String itemCode;
    /**
     * 计划数量
     **/
    @ApiModelProperty(value = "计划数量")
    private BigDecimal qty;
    /**
     * 拣货数量
     **/
    @ApiModelProperty(value = "拣货数量")
    private BigDecimal pickQty;
    /**
     * 复核数量
     **/
    @ApiModelProperty(value = "复核数量")
    private BigDecimal checkQty;
    /**
     * 冲红原因
     **/
    @ApiModelProperty(value = "冲红原因")
    private String redReason;
    /**
     * 冲红数量
     **/
    @ApiModelProperty(value = "冲红数量")
    private BigDecimal redQty;
    /**
     * 状态：1 完成，2 进行中，3 挂起，4 失败
     **/
    @ApiModelProperty(value = "状态：0 初始化，1 完成，2 进行中，3 挂起，4 失败")
    private String status;

    @ApiModelProperty(value = "批号")
    private String batchNum;
    /**
     * 仓库id
     **/
    @ApiModelProperty(value = "仓库id")
    private String warehouseId;

    @Column("checker1")
    private String checker1;

    @Column("checker2")
    private String checker2;


    @ApiModelProperty(value = "复核员2复核数量")
    @Column("checker2_qty")
    private BigDecimal checker2Qty;

    @Column("need_double_check")
    private Integer needDoubleCheck;

    @ApiModelProperty(value = "商品大类")
    @Column("item_category_code")
    private String itemCategoryCode;

    @ApiModelProperty(value = "批号")
    @Column("lot_no")
    private String lotNo;

    @ApiModelProperty(value = "拣货明细id")
    @Column("pick_task_d_id")
    private String pickTaskDId;

    @ApiModelProperty(value = "任务类型（0-整件/1-散件/2-整散合一）")
    private Integer pickTaskType;

    @ApiModelProperty(value = "打印次数")
    private Integer printCount;

    public Integer getPickTaskType() {
        return pickTaskType;
    }

    public void setPickTaskType(Integer pickTaskType) {
        this.pickTaskType = pickTaskType;
    }

    public Integer getPrintCount() {
        return printCount;
    }

    public void setPrintCount(Integer printCount) {
        this.printCount = printCount;
    }

    public String getPickTaskDId() {
        return pickTaskDId;
    }

    public void setPickTaskDId(String pickTaskDId) {
        this.pickTaskDId = pickTaskDId;
    }

    public String getLotNo() {
        return lotNo;
    }

    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    public String getItemCategoryCode() {
        return itemCategoryCode;
    }

    public void setItemCategoryCode(String itemCategoryCode) {
        this.itemCategoryCode = itemCategoryCode;
    }

    public Integer getNeedDoubleCheck() {
        return needDoubleCheck;
    }

    public void setNeedDoubleCheck(Integer needDoubleCheck) {
        this.needDoubleCheck = needDoubleCheck;
    }

    public BigDecimal getChecker2Qty() {
        return checker2Qty;
    }

    public void setChecker2Qty(BigDecimal checker2Qty) {
        this.checker2Qty = checker2Qty;
    }

    public String getChecker1() {
        return checker1;
    }

    public void setChecker1(String checker1) {
        this.checker1 = checker1;
    }

    public String getChecker2() {
        return checker2;
    }

    public void setChecker2(String checker2) {
        this.checker2 = checker2;
    }

    public String getBatchNum() {
        return batchNum;
    }

    public void setBatchNum(String batchNum) {
        this.batchNum = batchNum;
    }

    public String getBillDId() {
        return billDId;
    }

    public void setBillDId(String billDId) {
        this.billDId = billDId;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getInnerCheckHId() {
        return this.innerCheckHId;
    }

    public void setInnerCheckHId(String innerCheckHId) {
        this.innerCheckHId = innerCheckHId;
    }

    public String getContainerCode() {
        return this.containerCode;
    }

    public void setContainerCode(String containerCode) {
        this.containerCode = containerCode;
    }

    public String getItemId() {
        return this.itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    public String getItemName() {
        return this.itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public String getItemCode() {
        return this.itemCode;
    }

    public void setItemCode(String itemCode) {
        this.itemCode = itemCode;
    }

    public BigDecimal getQty() {
        return this.qty;
    }

    public void setQty(BigDecimal qty) {
        this.qty = qty;
    }

    public BigDecimal getPickQty() {
        return this.pickQty;
    }

    public void setPickQty(BigDecimal pickQty) {
        this.pickQty = pickQty;
    }

    public BigDecimal getCheckQty() {
        return this.checkQty;
    }

    public void setCheckQty(BigDecimal checkQty) {
        this.checkQty = checkQty;
    }

    public String getRedReason() {
        return this.redReason;
    }

    public void setRedReason(String redReason) {
        this.redReason = redReason;
    }

    public BigDecimal getRedQty() {
        return this.redQty;
    }

    public void setRedQty(BigDecimal redQty) {
        this.redQty = redQty;
    }

    public String getStatus() {
        return this.status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getWarehouseId() {
        return this.warehouseId;
    }

    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }

}
